import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  GetChannelGroupRequest,
  GetChannelGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface GetChannelGroupCommandInput extends GetChannelGroupRequest {}
export interface GetChannelGroupCommandOutput
  extends GetChannelGroupResponse,
    __MetadataBearer {}
declare const GetChannelGroupCommand_base: {
  new (
    input: GetChannelGroupCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetChannelGroupCommandInput,
    GetChannelGroupCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetChannelGroupCommand extends GetChannelGroupCommand_base {}
